Skip to main content
POST
Replace Vault Lock

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

Vaults:Locks:Release: Always required.
Vaults:Locks:Create: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

X-DFNS-USERACTION
string
header
required

User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows

Path Parameters

vaultId
string
required

Vault id.

Required string length: 1 - 64
Pattern: ^vlt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
lockId
string
required

Vault lock id.

Required string length: 1 - 64
Pattern: ^vlt-lck-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$

Body

application/json
amount
string
required

The new total locked amount, in minimum denomination. To release the lock entirely, use DeleteVaultLock instead.

Pattern: ^\d+$
reason
string

An optional reason or note for the update.

Response

200 - application/json

Success

Vault lock object: funds manually locked for off-chain settlement or escrow.

id
string
required

Vault lock id.

Required string length: 1 - 64
Pattern: ^vlt-lck-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"vlt-lck-0lf1e-8a8ag-2ak7vrvusrj3so0j"

vaultId
string
required
network
string
required
tid
string
required
amount
string
required
owner
string
required

The user that created the lock. Only this user can update or delete it.

dateCreated
string<date-time>
required
externalId
string
reason
string

The reason or note the lock was created with.

replacesLockId
string

Set when this lock was created by an update: the lock it replaces.

Required string length: 1 - 64
Pattern: ^vlt-lck-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"vlt-lck-0lf1e-8a8ag-2ak7vrvusrj3so0j"

replacedByLockId
string

Set when this lock was released by an update: the lock that replaced it.

Required string length: 1 - 64
Pattern: ^vlt-lck-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"vlt-lck-0lf1e-8a8ag-2ak7vrvusrj3so0j"

dateDeleted
string<date-time>
Last modified on September 11, 2026